You are not logged in.

#451 2010-12-16 15:14:02

capoeira
Member
From: Vila Velha - Brasil
Registered: 2010-05-25
Posts: 454

Re: yaourt: pacman frontend

trying to install all my current packages to another system with following comand:

yaourt -S --needed a2jmidid-git alsa-firmware amarok amsn-extras-svn amsn-svn amsynth amule arandr archlinux-themes-kde archlinux-themes-kdm archup ardour aspell-pt_br atkmm attr audacity aurvote automake backintime-kde4 bash bin86 binutils bison bogofilter bristol bzip2 calf chromium cmt coreutils cryptsetup dash dbus-core dcron device-mapper dhcpcd diffutils dosfstools drc dupfinder e2fsprogs ed fakeroot fftw-threads fil-plugins file filesystem findutils flashplugin fluidr3 freerdp fslint furiusisomount gawk gcc gen-init-cpio gettext glibc gpicview grep grub guitarix-svn gzip hdparm htop hydrogen initscripts invada-studio-plugins invada-studio-plugins-lv2 iputils jack jamin jconvolver jfsutils jsampler k3b kde-l10n-pt_br kdebase-dolphin kdebase-kfind kdebase-konsole kdebase-kwrite kdebase-plasma kdebase-workspace kdebindings-python kdegraphics-gwenview kdegraphics-kolourpaint kdegraphics-okular kdepim-kmail kdepim-korganizer kdeplasma-addons-applets-notes kdesdk-kompare kdeutils-ark kernel26 kernel26-headers kernel26-lqx kernel26rt kgrab kmess ktorrent less libasyncns libflashsupport-jack libpulse libusb licenses lingot linux-firmware ll-plugins logrotate lv2-mdaepiano-git lv2fil lv2vocoder lxappearance lxde-common lxlauncher lxmenu-data lxpanel lxrandr lxsession-lite lxtask lxterminal m4 mailx make man-db man-pages mdadm menu-cache mercury2 module-init-tools mplayer nano net-tools netcfg ngrep ntfs-3g ntfsprogs openntpd pacman pacman-mirrorlist pam patch pciutils pcmciautils perl phasex phonon-xine picard procps psmisc pyqt python qjackctl qsynth qtractor rakarrack reflector reiserfsprogs rev-plugins rosegarden rp-pppoe rtirq sed seq24 shadow skype smplayer sudo swh-lv2 sysfsutils syslog-ng sysvinit tap-plugins-cvs tar tcp_wrappers teliasopia texinfo torrent-search udev unrar unzip usbutils util-linux-ng vcf wah-plugins wammu wget which wicd wine-rt wineasio winetricks wireless_tools wpa_supplicant xf86-input-keyboard xf86-input-mouse xfsprogs xorg-docs xorg-res-utils xorg-server xorg-server-utils xorg-twm xorg-utils xorg-xinit xterm yaourt yoshimi zita-at1

strangely it only installs the AUR-packages. why is that?
AND btw - "--needed" has no effect for AUR-packages

Offline

#452 2010-12-17 12:38:29

tuxce
Member
Registered: 2008-02-19
Posts: 56
Website

Re: yaourt: pacman frontend

It's because guitarix-svn does not exist so pacman return an error and doesn't install other packages.
Actually, --needed is for repository packages only.

Offline

#453 2010-12-17 12:47:42

capoeira
Member
From: Vila Velha - Brasil
Registered: 2010-05-25
Posts: 454

Re: yaourt: pacman frontend

tuxce wrote:

It's because guitarix-svn does not exist so pacman return an error and doesn't install other packages.
Actually, --needed is for repository packages only.


oh thanks man, that makes sense. will try it with "guitarix"

anyways, yaourt could print that error out (or did I miss it?)

Offline

#454 2010-12-17 12:54:09

tuxce
Member
Registered: 2008-02-19
Posts: 56
Website

Re: yaourt: pacman frontend

I have this on output just before aur packages:

error: 'guitarix-svn': could not find or read package

Offline

#455 2010-12-17 13:06:17

capoeira
Member
From: Vila Velha - Brasil
Registered: 2010-05-25
Posts: 454

Re: yaourt: pacman frontend

tuxce wrote:

I have this on output just before aur packages:

error: 'guitarix-svn': could not find or read package

oooooops, i remeber seeing that.....but since it was an AUR-packages I didnt realize it was an pacman-error......my bad


thanks for trying out

Offline

#456 2011-01-04 12:02:38

Dganic
Member
Registered: 2011-01-04
Posts: 14

Re: yaourt: pacman frontend

[root @ zekker-htpc yaourt] # yaourt-S rtorrent-svn
curl error: SSL connect error
Error: 'rtorrent-svn': could not find or read package

How to treat? Already procedure simply.
Reinstallation ca-certificates and ca-certificates-java does not work, others have not found the answer.
Help please.

This is the message that was sent:

Offline

#457 2011-01-04 12:14:13

capoeira
Member
From: Vila Velha - Brasil
Registered: 2010-05-25
Posts: 454

Re: yaourt: pacman frontend

AUR-server seams to have problems some times lately. I get this error some times here, too. Just retry it after 5min or so

Offline

#458 2011-01-05 17:51:45

alorewotik
Member
Registered: 2010-09-27
Posts: 1

Re: yaourt: pacman frontend

When yaourt builds from ABS (yaourt -Sb) it also builds all dependencies instead of installing necessary packages.
Is there any option to change this?

Offline

#459 2011-01-29 11:32:45

indianahorst
Member
Registered: 2008-08-23
Posts: 73

Re: yaourt: pacman frontend

How can I make an entry in /etc/yaourtrc for readable colors on a terminal with white background?

The old ColorMod LightBackGround entry seems to be without function. I tried also an alias

alias yaourt="yaourt --lightbg"

but I got problems when removing a package:

$ yaourt -R mysql-clients
Password: 
pacman: unrecognized option '--lightbg

In the man pages http://archlinux.fr/man/yaourt.8.html and http://archlinux.fr/man/yaourtrc.5.html I couldn't find a solution for this really annoying problem!

Offline

#460 2015-06-02 23:07:25

thisischrys
Member
Registered: 2013-02-17
Posts: 9

Re: yaourt: pacman frontend

Quick question: Trying to install ttf-ms-win but it tells me to copy the files to where the PKGBUILD is.
Where is this?
I looked in /tmp/yaourt-tmp-myuser/ but it's not in there.
I read the AUR page on the wiki but there's nothing specific on there, I guess this depends on the implementation?

Offline

#461 2015-06-02 23:35:39

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 5,067

Re: yaourt: pacman frontend

yaourt really isn't set up for that kind of PKGBUILD unless you set a separate srcdir.

Offline

#462 2015-06-10 11:59:34

student975
Member
From: Russian Federation
Registered: 2011-03-05
Posts: 603

Re: yaourt: pacman frontend

'yaourt -Qm' shows all installed aur packages, but versions are shown as '(null)'. 'pacman -Qm' shows versions as expected. It seems the issue has appeared after recent yaourt/package-query update. Has anybody hint to resolve the issue?


"I exist" is the best myth I know..

Offline

Board footer

Powered by FluxBB